<div class="container">
  <form>
    <div class="form-group row">
      <div class="col-md-9">
        <label for="emailSearch" class="sr-only">Email search</label>
        <input type="text" class="form-control" id="emailSearch" name="email" [(ngModel)]="searchedEmail" placeholder="Enter email to search...">
      </div>
      <div class="col-md-1">
        <button (click)="search()" class="btn btn-primary">Search</button>
      </div>
      <div class="col-md-2">
        <a routerLink="/orders/new" routerLinkActive="active" class="btn btn-success">New Order</a>
      </div>
    </div>
  </form>
  <div id="accordion">
    <div class="card" *ngFor="let order of orders; let i = index">
      <div class="card-header" [attr.id]="'heading'+i">
        <h5 class="mb-0">
          <button class="btn btn-link" data-toggle="collapse" [attr.data-target]="'#collapse'+i" aria-expanded="true" [attr.aria-controls]="'collapse'+i">
            Order #{{i+1}} | Order date: {{ order.orderTime | date: 'dd/MM/yyyy HH:mm:ss' }} | Total cost: {{ order.totalCost }} $
          </button>
        </h5>
      </div>

      <div [attr.id]="'collapse'+i" class="collapse" [attr.aria-labelledby]="'heading'+i" data-parent="#accordion">
        <div class="card-body">
          <ul>
            <li *ngFor="let orderItem of order.products">{{ orderItem.quantity }} x {{ orderItem.productName }}</li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</div>
